2 příspěvky / 0 new
Poslední
Obrázek uživatele Tagy
Offline
Naposledy viděn: 11 let 8 měsíců zpět
Připojen: 14.10.2008 - 20:55
Jaké bylíčky nainstalovat pro MONO?

Zkoušel jsem stáhnout: mono-complete-2.0-15.1.i586.rpm (odtud: http://ftp.novell.com/pub/mono/download-stable/openSUSE_11.0/i586/)
Avšak při instalaci to hodí error...

Obrázek uživatele Tagy
Offline
Naposledy viděn: 11 let 8 měsíců zpět
Připojen: 14.10.2008 - 20:55
Instalátor chce po mně 16

Instalátor chce po mně 16 závislostí, myslel jsem že mono compete je kompletní rpm balíček, asi se jen jedná o seznam toho co musím naisntalovat.
Lze tedy MONO nainstalovat jedním balíčkem a nebo musím otrocky instalovat těch 16 balíčků zvlášť...

Obrázek uživatele JirkaZ
Offline
Naposledy viděn: 2 roky 7 měsíců zpět
Připojen: 17.10.2006 - 19:12
Tak znova a už

alespoň po sté...

Používejte pro správu software nějaký systémový nástroj, například Smart nebo YAST, v něm si definujte kanál (repozitář, zdroj apod.), ve kterém se požadovaný balíček nachází (a samozřejmě další standardní). Onen nástroj si následně při instalaci všechny závislosti vyřeší sám. Jak to udělat, tu a jinde bylo popsáno x-krát.

Linux nejsou Windows, přestože se to tak často jeví.

JirkaZ

Obrázek uživatele Jirka QWE
Offline
Naposledy viděn: 8 let 10 měsíců zpět
Připojen: 04.03.2008 - 20:16
MONO polopate

1) trochu hledani google:mono http://www.google.com/search?q=mono (na prvni strance)
nebo
2) abclinuxu.cz do policka hledani vpravo nahore zadat mono
primy odkaz na hledani abclinuxu http://www.abclinuxu.cz/hledani?dotaz=
http://www.abclinuxu.cz/slovnik/mono

dostanes se na
http://www.mono-project.com
pak download mono / opensuse /vyberes si verzi opensuse a pak si snad uz poradis

Obrázek uživatele Tagy
Offline
Naposledy viděn: 11 let 8 měsíců zpět
Připojen: 14.10.2008 - 20:55
Vím na co je MONO :-) Také

Vím na co je MONO :-)
Také vím kde ho stáhnout :-)
Viz úplně první post, je tam link na který odkazuje právě stránka (http://www.mono-project.com)

Obrázek uživatele Jirka QWE
Offline
Naposledy viděn: 8 let 10 měsíců zpět
Připojen: 04.03.2008 - 20:16
v te sekci download bylo, ze

v te sekci download bylo, ze mas pridat repozitar (repozitar=instalation sourse) do Yastu (Add the following installation source to YaST) a i odkaz jak to udelat http://en.opensuse.org/Add_Package_Repositories_to_YaST . Pak uz jen stacilo zadat v Yastu vyhledavani a zaskrtnout mono-complet a nainstalovala by se nejnovejsi verze mono (automaticky by se pridaly i dalsi zavisle balicky).

V zakladnim oss repozitari mas starsi verzi mona 1.9 , pokud chces upgradovat na mono 2.0 tak si musis pridat repozitar http://ftp.novell.com/pub/mono/download-stable/openSUSE_11.0 a pak si v Yasu vyhledat mono-complete, kliknout na fajfku (objevi se sipka nahoru) a potvrdit.

Pokud instalujes primo poklikanim na stazeny rpm tak musis mit, splnene vsechny zavislosti, jinak ti to vyhodi chybu, proto je lepsi se tomu pokud to jde vyhnout. Pokud to ale jinak nejde napr. instalace Skype http://www.suseportal.cz/kategorie/clanky-navody/jak-na-opensuse-11-0-s-... je lepsi si to v Yastu dohledat a chybejici balicky nainstalovat.

Omlouvam se, uz jsem si vzpomnel, ze jsem se v zacatcich podobnym zpusoben pokusel instalovat taky nejaky rpm balicek, protoze jsem to taky spatne pochopil, ale ted uz nedokazu predstavit to instalovat jinak nez v Yastu, tak jsem na ty problemy nejak zapomel.

Pokud ti mono2.0 nebude vyhovovat vyhledas si v Yastu mono-complete kliknes na nej kliknes na Verze vyberes si OOS repozitar (nebo i jiny) a potvdis.